namespace Gen7 {
    [Move effect=ChangeTargetDef]
    shared class ChangeTargetDefense : PkmnScript{
        int8 _amount;

        void OnInitialize(const array<EffectParameter@> &in parameters) override{
            _amount = int8(parameters[0].AsInt());
        }

        void OnSecondaryEffect(ExecutingMove@ attack, Pokemon@ target, uint8 hit) override{
            target.ChangeStatBoost(Statistic::Defense, _amount);
        }
    }
}