shared abstract class PkmnScript {
// CreatureLib methods
    void OnInitialize(const array<EffectParameter@> &in parameters){};
    void Stack(){};
    void OnRemove(){};
    void PreventAttack(ExecutingMove@ attack, bool& result){};
    void FailAttack(ExecutingMove@ attack, bool& result){};
    void StopBeforeAttack(ExecutingMove@ attack, bool& result){};
    void OnBeforeAttack(ExecutingMove@ attack){};
    void FailIncomingAttack(ExecutingMove@ attack, Pokemon@ target, bool& result){};
    void IsInvulnerable(ExecutingMove@ attack, Pokemon@ target, bool& result){};
    void OnAttackMiss(ExecutingMove@ attack, Pokemon@ target){};
    void ChangeAttackType(ExecutingMove@ attack, Pokemon@ target, uint8 hit, uint8& outType){};
    void OnStatusMove(ExecutingMove@ attack, Pokemon@ target, uint8 hit){};
    void PreventSecondaryEffects(ExecutingMove@ attack, Pokemon@ target, uint8 hit, bool& outResult){};
    void OnSecondaryEffect(ExecutingMove@ attack, Pokemon@ target, uint8 hit){};
    void OnAfterHits(ExecutingMove@ attack, Pokemon@ target){};

    void ModifyEffectChance(ExecutingMove@ attack, Pokemon@ target, float& chance){};
    void ModifyIncomingEffectChance(ExecutingMove@ attack, Pokemon@ target, float& chance){};

    void OverrideBasePower(ExecutingMove@ attack, Pokemon@ target, uint8 hit, uint8& chance){};
    void ChangeDamageStatsUser(ExecutingMove@ attack, Pokemon@ target, uint8 hit, Pokemon@& user){};
    void BypassDefensiveStat(ExecutingMove@ attack, Pokemon@ target, uint8 hit, bool& bypass){};
    void BypassOffensiveStat(ExecutingMove@ attack, Pokemon@ target, uint8 hit, bool& bypass){};
    void ModifyStatModifier(ExecutingMove@ attack, Pokemon@ target, uint8 hit, float& modifier){};
    void ModifyDamageModifier(ExecutingMove@ attack, Pokemon@ target, uint8 hit, float& modifier){};
    void OverrideDamage(ExecutingMove@ attack, Pokemon@ target, uint8 hit, int& damage){};

// PkmnLib methods
    void ModifyCriticalStage(ExecutingMove@ attack, Pokemon@ target, uint8 hit, uint8& critStage){};
}