namespace Gen7 {
    [Move effect=ChangeTargetSpDef]
    shared class ChangeTargetSpecialDefense : PkmnScript{
        int8 _amount;

        void OnInitialize(const array<EffectParameter@> &in parameters) override{
            _amount = int8(parameters[0].AsInt());
        }

        void OnSecondaryEffect(ExecutingMove@ attack, Pokemon@ target, uint8 hit) override{
            target.ChangeStatBoost(Statistic::SpecialDefense, _amount);
        }
    }
}